/*
** Job Arranger for ZABBIX
** Copyright (C) 2012 FitechForce, Inc. All Rights Reserved.
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
**/

/*
** $Date:: 2013-01-29 14:43:31 +0900 #$
** $Revision: 3721 $
** $Author: ossinfra@FITECHLABS.CO.JP $
**/

#include "common.h"
#include "log.h"
#include "db.h"

#include "jacommon.h"
#include "jalog.h"
#include "javalue.h"
#include "jastatus.h"

/******************************************************************************
 *                                                                            *
 * Function:                                                                  *
 *                                                                            *
 * Purpose:                                                                   *
 *                                                                            *
 * Parameters:                                                                *
 *                                                                            *
 * Return value:                                                              *
 *                                                                            *
 * Comments:                                                                  *
 *                                                                            *
 ******************************************************************************/
int jarun_icon_end(const zbx_uint64_t inner_job_id)
{
    DB_RESULT result;
    DB_ROW row;
    zbx_uint64_t inner_jobnet_id;
    char *jobnet_stop_code;
    const char *__function_name = "jarun_icon_end";

    zabbix_log(LOG_LEVEL_DEBUG, "In %s() inner_job_id: " ZBX_FS_UI64,
               __function_name, inner_job_id);

    result =
        DBselect
        ("select inner_jobnet_id, jobnet_stop_code from ja_run_icon_end_table where inner_job_id = "
         ZBX_FS_UI64, inner_job_id);

    inner_jobnet_id = 0;
    if (NULL != (row = DBfetch(result))) {
        ZBX_STR2UINT64(inner_jobnet_id, row[0]);
        jobnet_stop_code = row[1];
        ja_set_value_after(inner_job_id, inner_jobnet_id, "JOB_EXIT_CD",
                           jobnet_stop_code);
    }
    DBfree_result(result);

    if (inner_jobnet_id == 0) {
        ja_log("JARUNICONEND200002", inner_jobnet_id, NULL,
               __function_name, inner_job_id);
        return ja_set_status_job(inner_job_id, JA_JOB_STATUS_ENDERR, -1,
                                 1);
    } else {
        return ja_set_status_job(inner_job_id, JA_JOB_STATUS_END, -1, 1);
    }
}
